Subject: Re: Exec and parent environment [attn tcltk maintainer]
From: Steve Smith <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Thu, 2 Feb 2006 14:32:08 +0000

Thanks for the feedback. So does this mean that it is the tcl that is  
bundled with Cygwin that is broken?

Is there an easy workaround?

Cheers.

On 2 Feb 2006, at 13:49, Eric Blake wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> According to Steve Smith on 2/2/2006 5:17 AM:
>>
>> I have a similar problem to that reported before under this  
>> subject  title.
>> When I type "env" the environment appears fine. However, when I  
>> start  a
>> tclsh and type
>>
>> puts [ exec sh -c "env" ]
>>
>> the environment is almost empty - this is new behaviour, the whole
>> environment got fully passed through until recently.
>
> Sounds like YA case of
> http://sourceware.org/ml/cygwin/2006-01/msg00938.html.  tclsh is  
> one of
> the few programs in /bin that does not link against cygwin1.dll,  
> but uses
> Windows directly.  So it probably needs to be taught how to  
> interact with
> cygwin's updated environment scheme.
>
> - --
> Life is short - so eat dessert first!
>
> Eric Blake             [email-masked]
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (Cygwin)
> Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
>
> iD8DBQFD4g3p84KuGfSFAYARApooAJ9XylwbSFXiXK1DcBMPPCYrC13QzACcCcKG
> aLzCUba8aKW1Vq6iRg/U9Mw=
> =z877
> -----END PGP SIGNATURE-----

------------------------------------------------------------------------ 
------------------
Stephen M. Smith, Professor of Biomedical Engineering
Associate Director, Oxford University FMRIB Centre

FMRIB, John Radcliffe Hospital, Headington, Oxford OX3 9DU, UK
+44 (0) 1865 222726  (fax 222717)

[email-masked]  http://www.fmrib.ox.ac.uk/~steve
------------------------------------------------------------------------ 
------------------

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/